Admin APIProducts
Get a product
The product with its variants (options, stock per location), option
groups and gallery. availability is resolved from the variants' stock.
Authorization
bearer_auth AuthorizationBearer <token>
Authorization: Bearer <token>. Either a session access token from POST /auth/login (refresh it with POST /auth/refresh) or a store API token (mobi_st_…). A store API token works only for the store it was issued in, and can do at most what its issuing user can there, narrowed to the scopes it was issued with.
In: header
Path Parameters
store_id*string
Store id
Format
uuidproduct_id*string
Product id
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/stores/497f6eca-6276-4993-bfeb-53cbbbba6f08/products/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"additional_image_links": "string",
"allow_backorder": true,
"assembly_cost_cents": 0,
"availability": "string",
"brand": "string",
"category": "string",
"condition": "string",
"created_at": "2019-08-24T14:15:22Z",
"custom_label_0": "string",
"custom_label_1": "string",
"custom_label_2": "string",
"custom_label_3": "string",
"custom_label_4": "string",
"custom_number_0": 0,
"custom_number_1": 0,
"custom_number_2": 0,
"custom_number_3": 0,
"custom_number_4": 0,
"description": "string",
"ean": "string",
"expected_availability_at": "2019-08-24T14:15:22Z",
"google_age_group": "string",
"google_availability": "string",
"google_brand": "string",
"google_category": "string",
"google_color": "string",
"google_condition": "string",
"google_custom_label_0": "string",
"google_custom_label_1": "string",
"google_custom_label_2": "string",
"google_custom_label_3": "string",
"google_custom_label_4": "string",
"google_gender": "string",
"google_gtin": "string",
"google_material": "string",
"google_mpn": "string",
"google_pattern": "string",
"google_size": "string",
"highlight_video_poster_url": "string",
"highlight_video_provider": "string",
"highlight_video_url": "string",
"highlights": [
"string"
],
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"internal_label": "string",
"is_launch": true,
"is_physical": true,
"isbn": "string",
"item_group_id": "string",
"meta_age_group": "string",
"meta_availability": "string",
"meta_brand": "string",
"meta_category": "string",
"meta_color": "string",
"meta_condition": "string",
"meta_description": "string",
"meta_gender": "string",
"meta_material": "string",
"meta_pattern": "string",
"meta_size": "string",
"meta_title": "string",
"model_placement": "string",
"model_url": "string",
"price": "string",
"priority": 0,
"product_type": "single",
"quantity_to_sell_on_facebook": 0,
"rich_text_description": "string",
"sale_price": "string",
"sale_price_effective_date": "string",
"shipping": "string",
"shipping_weight": "string",
"short_description": "string",
"sku_prefix": "string",
"slug": "string",
"status": "draft",
"store_id": "7fe87115-950c-4ae8-bd7e-970406bc9ac0",
"title": "string",
"upc": "string",
"updated_at": "2019-08-24T14:15:22Z",
"video_urls": "string",
"weight_grams": 0,
"images": [
{
"alt_text": "string",
"cdn_url": "string",
"created_at": "2019-08-24T14:15:22Z",
"extra_variant_ids": [
"b2141a49-c616-47cb-817a-ab59b7d403de"
],
"file_path": "string",
"file_size_bytes": 0,
"filename": "string",
"height": 0,
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"image_kind": "string",
"image_size": "string",
"is_active": true,
"is_primary": true,
"media_type": "string",
"mime_type": "string",
"original_filename": "string",
"position": 0,
"poster_url": "string",
"product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",
"product_variant_id": "3346b03a-4660-4dfb-b5d0-e13608e6ced8",
"provider": "string",
"updated_at": "2019-08-24T14:15:22Z",
"width": 0,
"variants": [
{
"cdn_url": "string",
"created_at": "2019-08-24T14:15:22Z",
"file_path": "string",
"file_size_bytes": 0,
"height": 0,
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"mime_type": "string",
"product_image_id": "54609007-3ca2-40c6-ae53-a6ebd6da0a5e",
"quality": 0,
"variant_name": "string",
"width": 0
}
]
}
],
"option_groups": [
{
"group_type": "text",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"position": 0,
"product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",
"values": [
{
"color_base_name": "string",
"color_hex": "string",
"color_is_custom": true,
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"option_group_id": "839e5b1e-eb80-492c-ba15-c658a7e6dc75",
"position": 0,
"value": "string"
}
]
}
],
"variants": [
{
"available_quantity": 0,
"backorderable": true,
"barcode": "string",
"compare_at_cents": 0,
"cost_cents": 0,
"created_at": "2019-08-24T14:15:22Z",
"expected_availability_at": "2019-08-24T14:15:22Z",
"fulfillment_mode": "stocked",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"is_active": true,
"lead_time_days": 0,
"position": 0,
"price_cents": 0,
"product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",
"reserved_quantity": 0,
"sku": "string",
"stock_quantity": 0,
"title": "string",
"updated_at": "2019-08-24T14:15:22Z",
"uses_components": true,
"options": [
{
"color_hex": "string",
"option_group_id": "839e5b1e-eb80-492c-ba15-c658a7e6dc75",
"option_group_name": "string",
"option_value": "string",
"option_value_id": "6a860e5d-cc97-4904-8a57-05aef1fdc05f"
}
],
"stock_by_location": [
{
"available": 0,
"location_id": "46910cc3-ab41-4b80-b4a7-94dab9f1b795",
"location_name": "string",
"on_hand": 0,
"reserved": 0
}
]
}
]
}{
"code": "not_found",
"details": {},
"error": "Order not found"
}{
"code": "not_found",
"details": {},
"error": "Order not found"
}{
"code": "not_found",
"details": {},
"error": "Order not found"
}{
"code": "not_found",
"details": {},
"error": "Order not found"
}{
"code": "not_found",
"details": {},
"error": "Order not found"
}